NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ProjectCurveBuilder Class Reference

Represents a NXOpen.Features.ProjectCurve builder. More...

Inheritance diagram for NXOpen.Features.ProjectCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ArcLengthType {
  BothXY, FirstXThenY, FirstYThenX, XOnly,
  YOnly
}
 Represents Equal Arc Length type More...
 
enum  DirectionType {
  AlongFaceNormal, TowardPoint, TowardLine, AlongVector,
  AngleToVector
}
 Represents direction method More...
 
enum  ProjectionOptionType { None, ProjectBothSides, EqualArcLength }
 Represents projection option type used when direction type is along vector More...
 

Properties

unsafe NXOpen.Expression AngleToProjectionVector [get]
 Returns the angle to projection vector More...
 
unsafe double BridgedGapSize [get, set]
 Returns or sets the maximum bridged gap size. More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fit settings More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitJoin 
CurveFitJoinData [get]
 Returns the curve fit join method More...
 
unsafe
NXOpen.Features.ProjectCurveBuilder.ArcLengthType 
EqualArcLengthMethod [get, set]
 Returns or sets the equal arc length method More...
 
unsafe NXOpen.SelectObjectList FaceToProjectTo [get]
 Returns the face to project to More...
 
unsafe bool GapOption [get, set]
 Returns or sets the gap option whether to create curve to bridge gap or not More...
 
unsafe
NXOpen.GeometricUtilities.CurveOptions 
InputCurvesOption [get]
 Returns the input curves option More...
 
unsafe
NXOpen.SelectDisplayableObject 
LineToProjectToward [get]
 Returns the line to project toward More...
 
unsafe bool NearestPointOption [get, set]
 Returns or sets the nearest point option whether to project curve by nearest point or not. More...
 
unsafe NXOpen.Plane PlaneToProjectTo [get, set]
 Returns or sets the plane to project to More...
 
unsafe NXOpen.Point PointToProjectToward [get, set]
 Returns or sets the point to project toward More...
 
unsafe
NXOpen.Features.ProjectCurveBuilder.DirectionType 
ProjectionDirectionMethod [get, set]
 Returns or sets the projection direction method More...
 
unsafe
NXOpen.Features.ProjectCurveBuilder.ProjectionOptionType 
ProjectionOption [get, set]
 Returns or sets the projection option type More...
 
unsafe NXOpen.Direction ProjectionVector [get, set]
 Returns or sets the projection vector More...
 
unsafe NXOpen.Point ReferencePointForEqualArcLength [get, set]
 Returns or sets the reference point for equal arc length More...
 
unsafe NXOpen.Section SectionToProject [get]
 Returns the section to project More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance More...
 
unsafe NXOpen.Direction XVectorForEqualArcLength [get, set]
 Returns or sets the x vector for equal arc length More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ProjectCurve builder.

Inputs to this class can be convergent objects.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateProjectCurveBuilder

Default values.

Property Value

AngleToProjectionVector.Value

0.0

BridgedGapSize

1.0 (millimeters part), 0.04 (inches part)

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitJoinData.CurveFitOptions.FitOption (deprecated)

Cubic

CurveFitJoinData.CurveFitOptions.MaximumDegree (deprecated)

7

CurveFitJoinData.CurveFitOptions.MaximumSegments (deprecated)

1

EqualArcLengthMethod

BothXY

GapOption

false

InputCurvesOption.Associative

True

NearestPointOption

false

ProjectionDirectionMethod

AlongFaceNormal

ProjectionOption

None

Created in NX5.0.0

Member Enumeration Documentation

Represents Equal Arc Length type

Enumerator
BothXY 

Represents Both X and Y

FirstXThenY 

Represents First X then Y

FirstYThenX 

Represents First Y then X

XOnly 

Represents X only

YOnly 

Represents Y only

Represents direction method

Enumerator
AlongFaceNormal 

Represents Along Face Normal

TowardPoint 

Represents Towards Point

TowardLine 

Represents Towards Line

AlongVector 

Represents Along Vector

AngleToVector 

Represents Angle To Vector

Represents projection option type used when direction type is along vector

Enumerator
None 

Represents None

ProjectBothSides 

Represents Project Both Sides

EqualArcLength 

Represents Equal Arc Length

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ProjectCurveBuilder.AngleToProjectionVector
get

Returns the angle to projection vector

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.ProjectCurveBuilder.BridgedGapSize
getset

Returns or sets the maximum bridged gap size.

When gap distance is less than maximum bridged gap size and bigger than the default modeling tolerance, NX project curve will add an internal bridge curve to close the gap between segments in projection curve. This option is only valid if NXOpen.Features.ProjectCurveBuilder.GapOption is true.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.ProjectCurveBuilder.CurveFitData
get

Returns the curve fit settings

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveFitJoin NXOpen.Features.ProjectCurveBuilder.CurveFitJoinData
get

Returns the curve fit join method

Created in NX5.0.0

Deprecated in NX8.0.0. Use NXOpen.Features.ProjectCurveBuilder.CurveFitData instead

License requirements: None.

unsafe NXOpen.Features.ProjectCurveBuilder.ArcLengthType NXOpen.Features.ProjectCurveBuilder.EqualArcLengthMethod
getset

Returns or sets the equal arc length method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectObjectList NXOpen.Features.ProjectCurveBuilder.FaceToProjectTo
get

Returns the face to project to

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.ProjectCurveBuilder.GapOption
getset

Returns or sets the gap option whether to create curve to bridge gap or not

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.CurveOptions NXOpen.Features.ProjectCurveBuilder.InputCurvesOption
get

Returns the input curves option

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.ProjectCurveBuilder.LineToProjectToward
get

Returns the line to project toward

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.ProjectCurveBuilder.NearestPointOption
getset

Returns or sets the nearest point option whether to project curve by nearest point or not.

This option is only valid if NXOpen.Features.ProjectCurveBuilder.DirectionType.AlongVector is used and NXOpen.Features.ProjectCurveBuilder.ProjectionOptionType.None or NXOpen.Features.ProjectCurveBuilder.ProjectionOptionType.ProjectBothSides is used.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Plane NXOpen.Features.ProjectCurveBuilder.PlaneToProjectTo
getset

Returns or sets the plane to project to

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.Features.ProjectCurveBuilder.PointToProjectToward
getset

Returns or sets the point to project toward

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.ProjectCurveBuilder.DirectionType NXOpen.Features.ProjectCurveBuilder.ProjectionDirectionMethod
getset

Returns or sets the projection direction method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.ProjectCurveBuilder.ProjectionOptionType NXOpen.Features.ProjectCurveBuilder.ProjectionOption
getset

Returns or sets the projection option type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.Features.ProjectCurveBuilder.ProjectionVector
getset

Returns or sets the projection vector

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Point NXOpen.Features.ProjectCurveBuilder.ReferencePointForEqualArcLength
getset

Returns or sets the reference point for equal arc length

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Section NXOpen.Features.ProjectCurveBuilder.SectionToProject
get

Returns the section to project

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.ProjectCurveBuilder.Tolerance
getset

Returns or sets the tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Direction NXOpen.Features.ProjectCurveBuilder.XVectorForEqualArcLength
getset

Returns or sets the x vector for equal arc length

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.